Loading...
Searching...
No Matches
format-utils.h File Reference
SPA » Parameters

spa/param/audio/format-utils.h More...

Go to the source code of this file.

## Macros

#define | SPA_API_AUDIO_FORMAT_UTILS static inline
#define | _SPA_FORMAT_AUDIO_EXT_VALID_SIZE_CASE(format)

## Functions

SPA_API_AUDIO_FORMAT_UTILS bool | spa_format_audio_ext_valid_size (uint32_t media_subtype, size_t size)
SPA_API_AUDIO_FORMAT_UTILS int | spa_format_audio_ext_parse (const struct spa_pod *format, struct spa_audio_info *info, size_t size)
SPA_API_AUDIO_FORMAT_UTILS int | spa_format_audio_parse (const struct spa_pod *format, struct spa_audio_info *info)
SPA_API_AUDIO_FORMAT_UTILS struct spa_pod * | spa_format_audio_ext_build (struct spa_pod_builder *builder, uint32_t id, const struct spa_audio_info *info, size_t size)
SPA_API_AUDIO_FORMAT_UTILS struct spa_pod * | spa_format_audio_build (struct spa_pod_builder *builder, uint32_t id, const struct spa_audio_info *info)

## Detailed Description

spa/param/audio/format-utils.h

## Macro Definition Documentation

## _SPA_FORMAT_AUDIO_EXT_VALID_SIZE_CASE

#define _SPA_FORMAT_AUDIO_EXT_VALID_SIZE_CASE | ( |  | format | ) |